<html>
      <head>
            <meta charset="utf-8">
            <title>Manipulating Dom Using Javascript</title>
      </head>  
      <body>
           <div class='box'>
                  <h2>Manipulating Dom Using Javascript</h2>
                  <hr/>
                  <button class='btn' onclick="changeColor()" id='button1'>Click Me</button>

                  <button class='btn' onclick="changeBackground()" id='button2'>Click Me</button>

                  <button class='btn' onclick="changeText()" id='button3'>Click Me</button>
           </div>
      </body> 
</html>

<style>
h2{
      text-align: center;
      color: crimson;
}

.box {
      width: 40%;
      margin: 0 auto;
      box-shadow: 2px 3px #ccc;
      padding:15px;
}

.btn {
      padding: 10px;
      margin: 10px;
}
</style>
<script>
function changeColor() {
      document.getElementById('button1').style.color = 'red';
}

function changeBackground() {
      document.getElementById('button2').style.background = 'yellow';
}

function changeText() {
      document.getElementById('button3').innerHTML = 'Clicked';
}
</script>